[BACK]Return to configure CVS log [TXT][DIR] Up to [cvsweb.bsd.lv] / mandoc

Diff for /mandoc/configure between version 1.66 and 1.67

version 1.66, 2018/07/31 15:34:00 version 1.67, 2018/08/15 02:15:52
Line 90  HAVE_SYS_ENDIAN=
Line 90  HAVE_SYS_ENDIAN=
 HAVE_VASPRINTF=  HAVE_VASPRINTF=
 HAVE_WCHAR=  HAVE_WCHAR=
   
   NEED_GNU_SOURCE=0
   NEED_OPENBSD_SOURCE=0
   
 PREFIX="/usr/local"  PREFIX="/usr/local"
 BINDIR=  BINDIR=
 SBINDIR=  SBINDIR=
Line 154  ismanual() {
Line 157  ismanual() {
 # In case of failure, do not decide anything yet.  # In case of failure, do not decide anything yet.
 # Arguments: test file name, test var name, additional CFLAGS  # Arguments: test file name, test var name, additional CFLAGS
 singletest() {  singletest() {
           n=${1}${3}${4}
         cat 1>&3 << __HEREDOC__          cat 1>&3 << __HEREDOC__
 testing ${1}${3} ...  testing ${n} ...
 ${COMP} -o test-${1} test-${1}.c ${3}  ${COMP} -o test-${1} test-${1}.c ${3} ${4}
 __HEREDOC__  __HEREDOC__
   
         if ${COMP} -o "test-${1}" "${SOURCEDIR}/test-${1}.c" ${3} 1>&3 2>&3          if ${COMP} -o "test-${1}" "${SOURCEDIR}/test-${1}.c" ${3} ${4} 1>&3 2>&3
         then          then
                 echo "partial result of ${1}${3}: ${CC} succeeded" 1>&3                  echo "partial result of ${n}: ${CC} succeeded" 1>&3
         else          else
                 echo "result of ${1}${3}: ${CC} failed with exit status $?" 1>&3                  echo "result of ${n}: ${CC} failed with exit status $?" 1>&3
                 echo "result of compiling ${1}${3}: no" 1>&3                  echo "result of compiling ${n}: no" 1>&3
                 echo 1>&3                  echo 1>&3
                 return 1                  return 1
         fi          fi
   
         if ./test-${1} 1>&3 2>&3; then          if ./test-${1} 1>&3 2>&3; then
                 echo "tested ${1}${3}: yes" 1>&2                  echo "tested ${n}: yes" 1>&2
                 echo "result of running ${1}${3}: yes" 1>&3                  echo "result of running ${n}: yes" 1>&3
                 echo 1>&3                  echo 1>&3
                 eval HAVE_${2}=1                  eval HAVE_${2}=1
                   [ "X$3" = "X-D_GNU_SOURCE" ] && NEED_GNU_SOURCE=1
                   [ "X$3" = "X-D_OPENBSD_SOURCE" ] && NEED_OPENBSD_SOURCE=1
                 rm "test-${1}"                  rm "test-${1}"
                 return 0                  return 0
         else          else
                 echo "result of ${1}${3}: execution failed with exit status $?" 1>&3                  echo "result of ${n}: execution failed with exit status $?" 1>&3
                 echo "result of running ${1}${3}: no" 1>&3                  echo "result of running ${n}: no" 1>&3
                 echo 1>&3                  echo 1>&3
                 rm "test-${1}"                  rm "test-${1}"
                 return 1                  return 1
Line 191  __HEREDOC__
Line 197  __HEREDOC__
 runtest() {  runtest() {
         eval _manual=\${HAVE_${2}}          eval _manual=\${HAVE_${2}}
         ismanual "${1}" "${2}" "${_manual}" && return 0          ismanual "${1}" "${2}" "${_manual}" && return 0
         singletest "${1}" "${2}" "${3}" && return 0          singletest "${1}" "${2}" "${3}" "${4}" && return 0
         echo "tested ${1}${3}: no" 1>&2          echo "tested ${1}${3}${4}: no" 1>&2
         eval HAVE_${2}=0          eval HAVE_${2}=0
         return 1          return 1
 }  }
Line 215  get_locale() {
Line 221  get_locale() {
   
 # --- compiler options -------------------------------------------------  # --- compiler options -------------------------------------------------
   
   DEFCFLAGS="-g -W -Wall -Wmissing-prototypes -Wstrict-prototypes -Wwrite-strings -Wno-unused-parameter"
   
 if [ -n "${CFLAGS}" ]; then  if [ -n "${CFLAGS}" ]; then
         COMP="${CC} ${CFLAGS}"  
         echo "selected CFLAGS=\"${CFLAGS}\" (manual)" 1>&2  
         echo "selected CFLAGS=\"${CFLAGS}\" (manual)" 1>&3  
         echo 1>&3  
 else  
         CFLAGS="-g -W -Wall -Wmissing-prototypes -Wstrict-prototypes"  
         CFLAGS="${CFLAGS} -Wwrite-strings -Wno-unused-parameter"  
         COMP="${CC} ${CFLAGS} -Wno-unused -Werror"          COMP="${CC} ${CFLAGS} -Wno-unused -Werror"
         echo -n "tested ${CC} -W: " 1>&2  else
         echo -n "testing ${CC} -W: " 1>&3          COMP="${CC} ${DEFCFLAGS} -Wno-unused -Werror"
         runtest noop WFLAG || true  
         if [ "${HAVE_WFLAG}" -eq 0 ]; then  
                 CFLAGS="-g"  
                 COMP="${CC} ${CFLAGS}"  
         fi  
         echo "selected CFLAGS=\"${CFLAGS}\"" 1>&2  
         echo "selected CFLAGS=\"${CFLAGS}\"" 1>&3  
         echo 1>&3  
 fi  fi
   echo -n "tested ${CC} -W: " 1>&2
   echo -n "testing ${CC} -W: " 1>&3
   runtest noop WFLAG || true
   
   if [ -n "${CFLAGS}" ]; then
           echo "CFLAGS specified manually:" 1>&3
   elif [ ${HAVE_WFLAG} -eq 0 ]; then
           CFLAGS="-g"
   else
           CFLAGS="${DEFCFLAGS}"
   fi
   echo "selected CFLAGS=\"${CFLAGS}\"" 1>&2
   echo "selected CFLAGS=\"${CFLAGS}\"" 1>&3
   echo 1>&3
   
   COMP="${CC} ${CFLAGS}"
   [ ${HAVE_WFLAG} -eq 0 ] || COMP="${COMP} -Wno-unused -Werror"
   
 if [ -n "${STATIC}" ]; then  if [ -n "${STATIC}" ]; then
         echo "selected STATIC=\"${STATIC}\" (manual)" 1>&2          echo "selected STATIC=\"${STATIC}\" (manual)" 1>&2
         echo "selected STATIC=\"${STATIC}\" (manual)" 1>&3          echo "selected STATIC=\"${STATIC}\" (manual)" 1>&3
Line 257  runtest be32toh  SYS_ENDIAN -DSYS_ENDIAN || true
Line 267  runtest be32toh  SYS_ENDIAN -DSYS_ENDIAN || true
 runtest EFTYPE          EFTYPE          || true  runtest EFTYPE          EFTYPE          || true
 runtest err             ERR             || true  runtest err             ERR             || true
 runtest getline         GETLINE         || true  runtest getline         GETLINE         || true
 runtest getsubopt       GETSUBOPT       || true  singletest getsubopt    GETSUBOPT       || \
      runtest getsubopt    GETSUBOPT       -D_GNU_SOURCE || true
 runtest isblank         ISBLANK         || true  runtest isblank         ISBLANK         || true
 runtest mkdtemp         MKDTEMP         || true  runtest mkdtemp         MKDTEMP         || true
 runtest ntohl           NTOHL           || true  runtest ntohl           NTOHL           || true
Line 266  runtest PATH_MAX PATH_MAX || true
Line 277  runtest PATH_MAX PATH_MAX || true
 runtest pledge          PLEDGE          || true  runtest pledge          PLEDGE          || true
 runtest sandbox_init    SANDBOX_INIT    || true  runtest sandbox_init    SANDBOX_INIT    || true
 runtest progname        PROGNAME        || true  runtest progname        PROGNAME        || true
 runtest reallocarray    REALLOCARRAY    || true  singletest reallocarray REALLOCARRAY    || \
 runtest recallocarray   RECALLOCARRAY   || true     runtest reallocarray REALLOCARRAY    -D_OPENBSD_SOURCE || true
   singletest recallocarray RECALLOCARRAY  || \
      runtest recallocarray RECALLOCARRAY  -D_OPENBSD_SOURCE || true
 runtest rewb-bsd        REWB_BSD        || true  runtest rewb-bsd        REWB_BSD        || true
 runtest rewb-sysv       REWB_SYSV       || true  runtest rewb-sysv       REWB_SYSV       || true
 runtest strcasestr      STRCASESTR      || true  singletest strcasestr   STRCASESTR      || \
      runtest strcasestr   STRCASESTR      -D_GNU_SOURCE || true
 runtest stringlist      STRINGLIST      || true  runtest stringlist      STRINGLIST      || true
 runtest strlcat         STRLCAT         || true  runtest strlcat         STRLCAT         || true
 runtest strlcpy         STRLCPY         || true  runtest strlcpy         STRLCPY         || true
 runtest strndup         STRNDUP         || true  runtest strndup         STRNDUP         || true
 runtest strptime        STRPTIME        || true  singletest strptime     STRPTIME        || \
      runtest strptime     STRPTIME        -D_GNU_SOURCE || true
 runtest strsep          STRSEP          || true  runtest strsep          STRSEP          || true
 runtest strtonum        STRTONUM        || true  singletest strtonum     STRTONUM        || \
 runtest vasprintf       VASPRINTF       || true     runtest strtonum     STRTONUM        -D_OPENBSD_SOURCE || true
   singletest vasprintf    VASPRINTF       || \
      runtest vasprintf    VASPRINTF       -D_GNU_SOURCE || true
   
 if [ ${HAVE_ENDIAN} -eq 0 -a \  if [ ${HAVE_ENDIAN} -eq 0 -a \
      ${HAVE_SYS_ENDIAN} -eq 0 -a \       ${HAVE_SYS_ENDIAN} -eq 0 -a \
Line 298  fi
Line 315  fi
   
 # --- wide character and locale support ---  # --- wide character and locale support ---
 if get_locale; then  if get_locale; then
         runtest wchar WCHAR -DUTF8_LOCALE=\"${UTF8_LOCALE}\" || true          singletest wchar WCHAR -DUTF8_LOCALE=\"${UTF8_LOCALE}\" || \
           runtest wchar WCHAR -D_GNU_SOURCE \
                               -DUTF8_LOCALE=\"${UTF8_LOCALE}\" || true
 else  else
         HAVE_WCHAR=0          HAVE_WCHAR=0
         echo "tested wchar: no (no UTF8_LOCALE)" 1>&2          echo "tested wchar: no (no UTF8_LOCALE)" 1>&2
Line 383  cat << __HEREDOC__
Line 402  cat << __HEREDOC__
 #define __attribute__(x)  #define __attribute__(x)
 #endif  #endif
   
 #if defined(__linux__) || defined(__MINT__)  
 #define _GNU_SOURCE     /* See test-*.c what needs this. */  
 #endif  
   
 __HEREDOC__  __HEREDOC__
   
   [ ${NEED_GNU_SOURCE} -eq 0 ] || echo "#define _GNU_SOURCE"
   [ ${NEED_OPENBSD_SOURCE} -eq 0 ] || echo "#define _OPENBSD_SOURCE"
   
 [ ${HAVE_GETLINE} -eq 0 -o \  [ ${HAVE_GETLINE} -eq 0 -o \
   ${HAVE_REALLOCARRAY} -eq 0 -o ${HAVE_RECALLOCARRAY} -eq 0 -o \    ${HAVE_REALLOCARRAY} -eq 0 -o ${HAVE_RECALLOCARRAY} -eq 0 -o \

Legend:
Removed from v.1.66  
changed lines
  Added in v.1.67

CVSweb